#ifndef __PLUGIN_NAME__PLUGINFACTORY_H__
#define __PLUGIN_NAME__PLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class __PLUGIN_NAME__PluginFactory : public QObject, public ritk::ApplicationPluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::ApplicationPluginFactory)

public:
	/// Constructor
	__PLUGIN_NAME__PluginFactory();
	/// Destructor
	~__PLUGIN_NAME__PluginFactory();

	ritk::ApplicationPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // __PLUGIN_NAME__PLUGINFACTORY_H__
